<div class="align-items-stretch d-flex w-100 ">
    <app-side-bar></app-side-bar>
    <div class="main min-vh-100">
        <app-nav-bar [Navbar]="Movie"></app-nav-bar>
        <main class="content px-3 py-2 mt-3">
            <div class="container-fluid">
                <!-- Tu contenido principal aquí -->
                <form [formGroup]="form">
                    <div class="formulario-container">
                        <div class="formulario">
                            <h2>Formulario de peliculas</h2>

                            <label for="name">name:</label>
                            <input type="text" id="name" name="name" formControlName="name">
                            <small appErrorInput [touched]="form.controls['name'].touched"
                                [dirty]="form.controls['name'].dirty" [errors]="form.controls['name'].errors"
                                class="error-message"></small>

                            <div class="campo-dividido">
                                <div>
                                    <label for="year">year:</label>
                                    <input type="date" id="year" name="year" formControlName="year">
                                    <small appErrorInput [touched]="form.controls['year'].touched"
                                        [dirty]="form.controls['year'].dirty" [errors]="form.controls['year'].errors"
                                        class="error-message"></small>
                                </div>
                                <div>
                                    <label for="director">director:</label>
                                    <input type="text" id="director" name="director" formControlName="director">
                                    <small appErrorInput [touched]="form.controls['director'].touched"
                                        [dirty]="form.controls['director'].dirty"
                                        [errors]="form.controls['director'].errors" class="error-message"></small>
                                </div>
                            </div>

                            <label for="casting">Casting:</label>
                            <input type="text" id="casting" name="casting" formControlName="casting">
                            <small appErrorInput [touched]="form.controls['casting'].touched"
                                [dirty]="form.controls['casting'].dirty" [errors]="form.controls['casting'].errors"
                                class="error-message"></small>

                            <label for="address">address:</label>
                            <input type="text" id="address" name="address" formControlName="address">
                            <small appErrorInput [touched]="form.controls['address'].touched"
                                [dirty]="form.controls['address'].dirty" [errors]="form.controls['address'].errors"
                                class="error-message"></small>

                            <label for="synopsis">synopsis</label>
                            <input type="number" id="synopsis" name="synopsis" formControlName="synopsis">
                            <small appErrorInput [touched]="form.controls['synopsis'].touched"
                                [dirty]="form.controls['synopsis'].dirty" [errors]="form.controls['synopsis'].errors"
                                class="error-message"></small>

                            <div class="campo-dividido">
                                <div>
                                    <label for="duration">duration</label>
                                    <input type="text" id="duration" name="duration" formControlName="duration">
                                    <small appErrorInput [touched]="form.controls['duration'].touched"
                                        [dirty]="form.controls['duration'].dirty"
                                        [errors]="form.controls['duration'].errors" class="error-message"></small>
                                </div>
                                <div>
                                    <label for="rating">rating</label>
                                    <input type="text" id="rating" name="rating" formControlName="rating">
                                    <small appErrorInput [touched]="form.controls['rating'].touched"
                                        [dirty]="form.controls['rating'].dirty"
                                        [errors]="form.controls['rating'].errors" class="error-message"></small>
                                </div>
                            </div>

                            <label for="productionStudio">productionStudio:</label>
                            <input type="text" id="productionStudio" name="productionStudio"
                                formControlName="productionStudio">
                            <small appErrorInput [touched]="form.controls['productionStudio'].touched"
                                [dirty]="form.controls['productionStudio'].dirty"
                                [errors]="form.controls['productionStudio'].errors" class="error-message"></small>

                            <label for="country">country:</label>
                            <input type="text" id="country" name="country" formControlName="country">
                            <small appErrorInput [touched]="form.controls['country'].touched"
                                [dirty]="form.controls['country'].dirty" [errors]="form.controls['country'].errors"
                                class="error-message"></small>

                            <label for="language">language</label>
                            <input type="text" id="language" name="language" formControlName="language">
                            <small appErrorInput [touched]="form.controls['language'].touched"
                                [dirty]="form.controls['language'].dirty" [errors]="form.controls['language'].errors"
                                class="error-message"></small>

                            <label for="format">format:</label>
                            <input type="text" id="format" name="format" formControlName="format">
                            <small appErrorInput [touched]="form.controls['format'].touched"
                                [dirty]="form.controls['format'].dirty" [errors]="form.controls['format'].errors"
                                class="error-message"></small>

                                <label for="id_image">imagen:</label>
                            <input type="file" id="id_image" name="id_image" formControlName="id_image">
                            <small appErrorInput [touched]="form.controls['id_image'].touched"
                                [dirty]="form.controls['id_image'].dirty" [errors]="form.controls['id_image'].errors"
                                class="error-message"></small>


                                <div>
                                    <label for="id_category">Categoria:</label>
                                    <select id="id_category" name="id_category" formControlName="id_category">
                                        <option value="1">Masculino</option>
                                        <option value="1">Femenino</option>
                                        <option value="1">Otro</option>
                                    </select>
                                    <small appErrorInput [touched]="form.controls['id_category'].touched"
                                        [dirty]="form.controls['id_category'].dirty" [errors]="form.controls['id_category'].errors"
                                        class="error-message"></small>
                                </div>
                                <div class="button-container">
                                    <button type="submit" (click)="add()">Enviar</button>
                                    <button type="submit" class="cancel-button" (click)="redirigirAAddRoles()">Cancelar</button>
                                </div>


                                

                        </div>
                    </div>
                </form>
            </div>

        </main>
    </div>
</div>